Bug 244009 - libpng and libpng-devel version mismatch -> "Error: Missing Dependency:"
Summary: libpng and libpng-devel version mismatch -> "Error: Missing Dependency:"
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: yum   
(Show other bugs)
Version: 6
Hardware: i386 Linux
low
low
Target Milestone: ---
Assignee: James Antill
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-13 10:47 UTC by Karl Magnus Kolstø
Modified: 2014-01-21 22:58 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-31 14:54:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Karl Magnus Kolstø 2007-06-13 10:47:52 UTC
Could look like libpng has been updated, but libpng-devel wasn't.

# yum update
Loading "installonlyn" plugin
[...]
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Package libpng.i386 2:1.2.10-9.fc6 set to be updated
--> Running transaction check
--> Processing Dependency: libpng = 2:1.2.10-7 for package: libpng-devel
--> Finished Dependency Resolution
Error: Missing Dependency: libpng = 2:1.2.10-7 is needed by package 
libpng-devel

Comment 1 Tom Lane 2007-06-13 14:56:17 UTC
libpng and libpng-devel are both at 2:1.2.10-9.  I'm guessing this is some kind of yum glitch, and 
reassigning accordingly.

Comment 2 Jeremy Katz 2007-06-13 18:19:46 UTC
Can you provide the output of 
  rpm -q --qf "%{NAME}-%{VERSION}-%{RELEASE}.%{ARCH}" libpng libpng-devel

Comment 3 Karl Magnus Kolstø 2007-06-14 07:53:04 UTC
Unless I misunderstood you;

rpm -q --qf lipng-1.2.10-7.fc6 libpng libpng-devel
lipng-1.2.10-7.fc6
lipng-1.2.10-7.fc6

rpm -q --qf lipng-1.2.10-9.fc6 libpng libpng-devel
lipng-1.2.10-9.fc6
lipng-1.2.10-9.fc6

(line breaks are mine)

Comment 4 Tom Lane 2007-06-14 14:18:53 UTC
Please try the command as written, or
rpm -qa | grep libpng
What you did will merely echo back what you entered.

Comment 5 Karl Magnus Kolstø 2007-06-15 06:47:55 UTC
ah, ok. Sorry about that. 
rpm -q --qf "%{NAME}-%{VERSION}-%{RELEASE}.%{ARCH}" libpng libpng-devel
libpng-1.2.10-7.i386
libpng-devel-1.2.10-7.i386




Comment 6 Jeremy Katz 2007-09-13 18:22:44 UTC
Does this still occur?

Comment 7 Jeremy Katz 2007-12-31 14:54:29 UTC
Closing due to inactivity.  Please reopen or file a new bug if you have further
information to add to this bug report


Note You need to log in before you can comment on or make changes to this bug.